Runtime

## org.eclipse.gmf.runtime.common.core.command
Interface IModificationValidator

All Known Implementing Classes:
  UIModificationValidator

public interface IModificationValidator

A validator responsible for doing the actual validation on files. The validation determines whether files may be modified.

Method Summary
`IStatus` `validateEdit(IFile[] files)` Validates whether the array of IFile objects may be modified.

Method Detail

### validateEdit

    public IStatus validateEdit(IFile[] files)

  Validates whether the array of IFile objects may be modified.

  Parameters:
    `files` - an array of the IFile objects that will be modified
  Returns:
    IStatus which contains a code describing whether or not the modificationn may proceed

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.